from logger import Logger
import Queue

class PersistentQueue(object):
    def __init__(self):
        super(PersistentQueue, self).__init__()
        self.queue = Queue.Queue()

    def execute(self, data):
        #Logger.log("PersistentQueue %s" % (str(data)))
        self.queue.put_nowait(data)

    def empty(self):
        return self.queue.empty()

    def get(self):
        return self.queue.get()