from logger import Logger


class AbstractParser(object):
    def __init__(self):
        self.topic = None
        self.nextStage = None

    def getTopic(self):
        return self.topic

    def setNextStage(self, nextStage):
        self.nextStage = nextStage

    def execute(self, data):
        raise Exception("Not yet implemented")
